﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;

namespace Tests
{
    public class UtilisateurSimulation
    {
        readonly Utilisateur Georges = new Utilisateur("georges.gio@gmail.com", "GeoStorm", "Storm7!");

        [Fact]
        public void UserCheck()
        {
            Debug.WriteLine(Georges.Mail);
            Debug.WriteLine(Georges.Pseudo);
            Debug.WriteLine(Georges.EstAdmin);
        }

        [Fact]
        public void ListeFavoris()
        {
            Jeu TheLastOfUs = new Jeu("The Last Of Us Part I", "Dans un monde dévasté où rôdent infectés et survivants endurcis, Joel, un protagoniste désabusé, est engagé pour faire sortir Ellie, 14 ans, d'une zone de quarantaine militaire. Mais ce qui devait être une simple mission de routine se transforme vite en un dangereux périple à travers le pays.", "28 Mars 2023", "PS5 PC", "Naughty Dog LLC", "PlayStation PC LLC", 8.5, 487, "Solo Action Aventure", "cover_lastofus1.png");
            Georges.ListeFavoris.Add(TheLastOfUs);
            Debug.WriteLine($"Nombre de jeux dans la Liste des Favoris: {Georges.ListeFavoris.Count()}");
            Debug.WriteLine($"Nom du Jeu: {Georges.ListeFavoris[0].Nom}");

            Georges.ListeFavoris.Remove(TheLastOfUs);
            Debug.WriteLine($"Nombre de jeux dans la Liste des Favoris: {Georges.ListeFavoris.Count()}");
        }

        [Fact]
        public void ListePossedes()
        {
            Jeu ForzaHorizon = new Jeu("Forza Horizon 5", "Dans ce jeu, vous pouvez explorer une carte en monde ouvert vraiment massive, cinquante pour cent plus grande que la carte non négligeable de Forza Horizon 4. Faites la course avec divers véhicules à travers la caldeira d'un volcan, explorez les jungles et les forêts tropicales à la recherche de villes en ruines cachées, parcourez les plages de sable blanc, et passez devant des chutes d'eau, des montagnes enneigées et de grandes villes comme Guanajuato, qui possède un réseau de tunnels secrets à explorer !", "9 Novembre 2021", "PC XOne", "Playground Games", "Xbox Game Studios", 6.5, 420, "Course Simulation Sport", "cover_forzahorizon5.png");
            Georges.ListePossedes.Add(ForzaHorizon);
            Debug.WriteLine($"Nombre de jeux dans la Liste de Possédés: {Georges.ListePossedes.Count()}");
            Debug.WriteLine($"Nom du Jeu: {Georges.ListePossedes[0].Nom}");

            Georges.ListePossedes.Remove(ForzaHorizon);
            Debug.WriteLine($"Nombre de jeux dans la Liste de Possédés: {Georges.ListePossedes.Count()}");
        }
    }
}
